import y from "micromark";
import k from "striptags";
import b from "feather-icons";
function i(t, ...e) {
  return t.reduce((a, o, n) => {
    const r = e[n];
    return Array.isArray(r) ? a + o + r.join("") : r != null && !!r !== r ? a + o + r : a + o;
  }, "");
}
function s(t, e = !1) {
  const a = y(t);
  return e ? k(a) : a;
}
const x = (t) => new Date(t).toLocaleDateString("en", {
  month: "short",
  year: "numeric",
  timeZone: "UTC"
});
function u(t) {
  return i`<time datetime="${t}">${x(t)}</time>`;
}
function w(t = []) {
  return t.length > 0 && i`
    <section id="awards">
      <h3>Awards</h3>
      <div class="stack">
        ${t.map(({ awarder: e, date: a, summary: o, title: n }) => i`
          <article>
            <header>
              <h4>${n}</h4>
              <div class="meta">
                ${e && i`
                  <div>
                    Awarded by <strong>${e}</strong>
                  </div>
                `}
                ${a && u(a)}
              </div>
            </header>
            ${o && s(o)}
          </article>
        `)}
      </div>
    </section>
  `;
}
const L = (t) => t.replace(/^(https?:|)\/\//, "").replace(/\/$/, "");
function m(t, e) {
  return e ? t ? i`<a href="${t}">${e}</a>` : e : t && i`<a href="${t}">${L(t)}</a>`;
}
function C(t = []) {
  return t.length > 0 && i`
    <section id="certificates">
      <h3>Certificates</h3>
      <div class="stack">
        ${t.map(({ date: e, issuer: a, name: o, url: n }) => i`
          <article>
            <header>
              <h4>${m(n, o)}</h4>
              <div class="meta">
                ${a && i`
                  <div>
                    Issued by <strong>${a}</strong>
                  </div>
                `}
                ${e && u(e)}
              </div>
            </header>
          </article>
        `)}
      </div>
    </section>
  `;
}
function p(t, e) {
  return i`${u(t)} – ${e ? u(e) : "Present"}`;
}
function z(t = []) {
  return t.length > 0 && i`
    <section id="education">
      <h3>Education</h3>
      <div class="stack">
        ${t.map(({ area: e, courses: a = [], institution: o, startDate: n, endDate: r, studyType: l, url: c }) => i`
          <article>
            <header>
              <h4>${m(c, o)}</h4>
              <div class="meta">
                ${e && i`<strong>${e}</strong>`}
                <div>${p(n, r)}</div>
              </div>
            </header>
            ${l && s(l)}
            ${a.length > 0 && i`
              <h5>Courses</h5>
              <ul>
                ${a.map((d) => i`<li>${s(d)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `;
}
function g(t, e) {
  return (b.icons[t.toLowerCase()] || b.icons[e.toLowerCase()]).toSvg({ width: 16, height: 16 });
}
const I = (t) => Intl.DisplayNames ? new Intl.DisplayNames(["en"], { type: "region" }).of(t) : t;
function P(t = {}) {
  const { email: e, image: a, label: o, location: n, name: r, phone: l, profiles: c = [], summary: d, url: $ } = t;
  return i`
    <header class="masthead">
      ${a && i`<img src="${a}" alt="">`}
      <div>
        ${r && i`<h1>${r}</h1>`}
        ${o && i`<h2>${o}</h2>`}
      </div>
      ${d && i`<article>${s(d)}</article>`}
      <ul class="icon-list">
        ${n?.city && i`
          <li>
            ${g("map-pin")}
            ${n.city}${n.countryCode && i`, ${I(n.countryCode)}`}
          </li>
        `}
        ${e && i`
          <li>
            ${g("mail")}
            <a href="mailto:${e}">${e}</a>
          </li>
        `}
        ${l && i`
          <li>
            ${g("phone")}
            <a href="tel:${l.replace(/\s/g, "")}">${l}</a>
          </li>
        `}
        ${$ && i`
          <li>
            ${g("link")}
            ${m($)}
          </li>
        `}
        ${c.map(({ network: v, url: h, username: f }) => i`
          <li>
            ${g(v, "user")}
            ${m(h, f)}
            ${v && i`<span class="network">(${v})</span>`}
          </li>
        `)}
      </ul>
    </header>
  `;
}
function j(t = []) {
  return t.length > 0 && i`
    <section id="interests">
      <h3>Interests</h3>
      <div class="grid-list">
        ${t.map(({ keywords: e = [], name: a }) => i`
          <div>
            ${a && i`<h4>${a}</h4>`}
            ${e.length > 0 && i`
              <ul class="tag-list">
                ${e.map((o) => i`<li>${o}</li>`)}
              </ul>
            `}
          </div>
        `)}
      </div>
    </section>
  `;
}
function D(t = []) {
  return t.length > 0 && i`
    <section id="languages">
      <h3>Languages</h3>
      <div class="grid-list">
        ${t.map(({ fluency: e, language: a }) => i`
          <div>
            ${a && i`<h4>${a}</h4>`}
            ${e}
          </div>
        `)}
      </div>
    </section>
  `;
}
function R(t = {}) {
  const { name: e, summary: a } = t;
  return i`
    ${e && i`<title>${e}</title>`}
    ${a && i`<meta name="description" content="${s(a, !0)}">`}
  `;
}
const A = (t) => Intl.ListFormat ? new Intl.ListFormat("en").format(t) : t.join(", ");
function q(t = []) {
  return t.length > 0 && i`
    <section id="projects">
      <h3>Projects</h3>
      <div class="stack">
      ${t.map(({ description: e, entity: a, highlights: o = [], keywords: n = [], name: r, startDate: l, endDate: c, roles: d = [], type: $, url: v }) => i`
        <article>
          <header>
            <h4>${m(v, r)}</h4>
            <div class="meta">
              <div>
                ${d.length > 0 && i`<strong>${A(d)}</strong>`}
                ${a && i`at <strong>${a}</strong>`}
              </div>
              <div>${p(l, c)}</div>
              ${$ && i`<div>${$}</div>`}
            </div>
          </header>
          ${e && s(e)}
          ${o.length > 0 && i`
            <ul>
              ${o.map((h) => i`<li>${s(h)}</li>`)}
            </ul>
          `}
          ${n.length > 0 && i`
            <ul class="tag-list">
              ${n.map((h) => i`<li>${h}</li>`)}
            </ul>
          `}
        </article>
      `)}
      </div>
    </section>
  `;
}
function S(t = []) {
  return t.length > 0 && i`
    <section id="publications">
      <h3>Publications</h3>
      <div class="stack">
        ${t.map(({ name: e, publisher: a, releaseDate: o, summary: n, url: r }) => i`
          <article>
            <header>
              <h4>${m(r, e)}</h4>
              <div class="meta">
                ${a && i`
                  <div>
                    Published by <strong>${a}</strong>
                  </div>
                `}
                ${o && u(o)}
              </div>
            </header>
            ${n && s(n)}
          </article>
        `)}
      </div>
    </section>
  `;
}
function E(t = []) {
  return t.length > 0 && i`
    <section id="references">
      <h3>References</h3>
      <div class="stack">
        ${t.map(({ name: e, reference: a }) => i`
          <blockquote>
            ${a && s(a)}
            ${e && i`
              <p>
                <cite>${e}</cite>
              </p>
            `}
          </blockquote>
        `)}
      </div>
    </section>
  `;
}
function W(t = []) {
  return t.length > 0 && i`
    <section id="skills">
      <h3>Skills</h3>
      <div class="grid-list">
        ${t.map(({ keywords: e = [], name: a }) => i`
          <div>
            ${a && i`<h4>${a}</h4>`}
            ${e.length > 0 && i`
              <ul class="tag-list">
                ${e.map((o) => i`<li>${o}</li>`)}
              </ul>
            `}
          </div>
        `)}
      </div>
    </section>
  `;
}
function F(t = []) {
  return t.length > 0 && i`
    <section id="volunteer">
      <h3>Volunteer</h3>
      <div class="stack">
        ${t.map(({ highlights: e = [], organization: a, position: o, startDate: n, endDate: r, summary: l, url: c }) => i`
          <article>
            <header>
              <h4>${m(c, a)}</h4>
              <div class="meta">
                <strong>${o}</strong>
                <div>${p(n, r)}</div>
              </div>
            </header>
            ${l && s(l)}
            ${e.length > 0 && i`
              <ul>
                ${e.map((d) => i`<li>${s(d)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `;
}
function N(t = []) {
  const e = t.reduce((a, { description: o, name: n, url: r, ...l }) => {
    const c = a[a.length - 1];
    return c && c.name === n && c.description === o && c.url === r ? c.items.push(l) : a.push({ description: o, name: n, url: r, items: [l] }), a;
  }, []);
  return t.length > 0 && i`
    <section id="work">
      <h3>Work</h3>
      <div class="stack">
        ${e.map(({ description: a, name: o, url: n, items: r = [] }) => i`
          <article>
            <header>
              <h4>${m(n, o)}</h4>
              <div class="meta">
                ${a && i`<div>${a}</div>`}
              </div>
            </header>
            <div class="timeline">
              ${r.map(({ highlights: l = [], location: c, position: d, startDate: $, endDate: v, summary: h }) => i`
                <div>
                  <div>
                    <h5>${d}</h5>
                    <div class="meta">
                      <div>${p($, v)}</div>
                      ${c && i`<div>${c}</div>`}
                    </div>
                  </div>
                  ${h && s(h)}
                  ${l.length > 0 && i`
                    <ul>
                      ${l.map((f) => i`<li>${s(f)}</li>`)}
                    </ul>
                  `}
                </div>
              `)}
            </div>
          </article>
        `)}
      </div>
    </section>
  `;
}
function O(t, e) {
  return i`<!DOCTYPE html>
    <html lang="en">
      <head>
        <meta charset="utf-8">
        ${R(t.basics)}
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700&display=swap">
        <style>${e}</style>
      </head>
      <body>
        ${P(t.basics)}
        ${N(t.work)}
        ${F(t.volunteer)}
        ${z(t.education)}
        ${q(t.projects)}
        ${w(t.awards)}
        ${C(t.certificates)}
        ${S(t.publications)}
        ${W(t.skills)}
        ${D(t.languages)}
        ${j(t.interests)}
        ${E(t.references)}
      </body>
    </html>`;
}
const T = `:root{color-scheme:light dark;--color-background: #ffffff;--color-muted: #f3f4f5;--color-primary: #191e23;--color-secondary: #6c7781;--color-accent: #ffb900;--color-link: #46b450;--scale-ratio: 1.25;--scale0: 1rem;--scale1: calc(var(--scale0) * var(--scale-ratio));--scale2: calc(var(--scale1) * var(--scale-ratio));--scale3: calc(var(--scale2) * var(--scale-ratio));--scale4: calc(var(--scale3) * var(--scale-ratio));--scale5: calc(var(--scale4) * var(--scale-ratio))}@media (prefers-color-scheme: dark){:root{--color-background: #191e23;--color-muted: #23282d;--color-primary: #fbfbfc;--color-secondary: #ccd0d4}}*{box-sizing:border-box;margin:0;padding:0}html{font-size:14px}body{background:var(--color-background);color:var(--color-primary);display:grid;font:1em/1.5 Lato,sans-serif;gap:2em;grid-template-columns:[full-start] 1fr [main-start side-start] minmax(min-content,12em) [side-end content-start] minmax(min-content,36em) [main-end content-end] 1fr [full-end];grid-template-rows:auto [content] 0;margin-bottom:4em}body:before{content:"";grid-column:full;grid-row:content}ol,ul{padding-left:1em}:not(.icon-list,.tag-list)>li+li{margin-top:.4em}li::marker,.network{color:var(--color-secondary)}a{color:var(--color-link);text-decoration:none;transition:color .2s}a:focus,a:hover{color:var(--color-accent)}h1,h2,h3,h5{font-weight:400}h1,h2,h3{line-height:1.2}h1{font-size:var(--scale5)}h2{color:var(--color-secondary);font-size:var(--scale4)}h3{color:var(--color-accent);font-size:var(--scale3);grid-column:side;margin-bottom:1rem}h4{font-size:var(--scale2)}h5{font-size:var(--scale1)}h6{font-size:var(--scale0)}blockquote{border-left:.2em solid var(--color-muted);padding-left:1em}cite{color:var(--color-secondary);font-style:inherit}cite:before{content:"— "}svg{margin-right:.2em;vertical-align:text-bottom}.masthead{background:var(--color-muted);display:inherit;gap:inherit;grid-column:full;grid-template-columns:inherit;padding:4em 0;text-align:center}.masthead>*,section{grid-column:main}.masthead>img{border:4px solid;border-radius:50%;margin:0 auto;max-width:12em}article>*+*,blockquote>*+*,.timeline>div>*+*{margin-top:.6em}.meta{color:var(--color-secondary)}.stack{display:grid;gap:1.5em}.icon-list{display:flex;flex-wrap:wrap;gap:.4em 1em;justify-content:center;list-style:none;padding:0}.grid-list{display:grid;gap:1em}.tag-list{display:flex;flex-wrap:wrap;gap:.4em;list-style:none;padding:0}.tag-list>li{background:var(--color-muted);border-radius:.2em;padding:.2em .6em}.timeline>div{position:relative}.timeline>div:not(:last-child){padding-bottom:1rem}.timeline>div:not(:last-child):before{content:"";position:absolute;top:1rem;left:-15px;width:2px;height:100%;background:var(--color-secondary)}.timeline>div:not(:only-child):after{content:"";position:absolute;top:.6rem;left:-20px;width:8px;height:8px;background:var(--color-secondary);border:2px solid var(--color-background);border-radius:50%}@media print,(min-width: 48em){h3{text-align:right;margin-bottom:inherit}.masthead{text-align:inherit}.masthead>*,section{grid-column:content}.masthead img{grid-column:side;grid-row:span 2;max-width:100%}section{display:contents}.icon-list{flex-direction:column}.grid-list{grid-template-columns:repeat(auto-fit,minmax(calc((100% - 1em)/2),1fr))}}
`, M = { mediaType: "print" }, Y = (t) => O(t, T);
export {
  M as pdfRenderOptions,
  Y as render
};
